
%global meadversion 1.1.3
%global namedversion 1.1.3.redhat-4
%global meadalpha .redhat_4
%global meadrel .1
%global serial 2

%bcond_without mead

%{?scl:%scl_package jaxen}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/jaxen-eap6}
%{!?scl:%global javadir %{_javadir}/jaxen-eap6}

%define maven_version 1.1.3.redhat-4

Name:           %{?scl_prefix}jaxen%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        jaxen
Group:          Development/Java

%if %with mead
Source100: jaxen-1.1.3.redhat-4-scm-sources.zip
Source102: jaxen-1.1.3.redhat-4.pom
Source103: jaxen-1.1.3.redhat-4.jar
Source104: jaxen-1.1.3.redhat-4-javadoc.jar
Source105: jaxen-1.1.3.redhat-4-sources.jar
%endif

License:        BSD
URL:            http://jaxen.codehaus.org/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}jaxen%{?eap}-%{namedversion}-%{release}-root

%description
Jaxen is a universal Java XPath engine.

%prep
%setup -q -n jaxen -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/jaxen-%{namedversion}.jar %{buildroot}%{javadir}/jaxen-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jaxen-%{namedversion}-sources.jar %{buildroot}%{javadir}/jaxen-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc INSTALL LICENSE.txt
%dir %{javadir}
%{javadir}/jaxen-%{namedversion}.jar
%{javadir}/jaxen.jar
%{javadir}/jaxen-%{namedversion}-sources.jar
%{javadir}/jaxen-sources.jar

%changelog
* Thu May 08 2014 Permaine Cheung <pcheung@redhat.com> - 1.1.3-2.redhat_4.1
- Rewrap

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 1.1.3-1.redhat_4.1
- release

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 1.1.3-1.redhat_4.1
- release

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 1.1.3-1.redhat_4.1
- release

